classification
Title: Remove the Deprecated API in trace module
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: abarry, belopolsky, berker.peksag, orsenthil, python-dev
Priority: normal Keywords: patch

Created on 2016-01-10 00:20 by orsenthil, last changed 2016-01-18 04:12 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue26069.patch orsenthil, 2016-01-10 04:16 review
Messages (11)
msg257877 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-01-10 00:20
A number of old methods in trace module were deprecated in issue10371. They should be removed in 3.6 release.
msg257881 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-01-10 02:33
This patch removes the deprecated apis from 3.6. After getting a review from one another core dev, I will commit this.

* No doc changes are required as the deprecated apis were not documented.
* README will be added during commit.
msg257883 - (view) Author: Anilyka Barry (abarry) * (Python triager) Date: 2016-01-10 03:09
You seem to have forgotten to include a patch.
msg257884 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-01-10 04:16
Sorry for that. Here is the patch.
msg257965 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-11 15:09
New changeset 6f05bdc18661 by Senthil Kumaran in branch 'default':
Issue #26069: Remove the deprecated apis in the trace module.
https://hg.python.org/cpython/rev/6f05bdc18661
msg257966 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-01-11 15:11
Thanks for the review, matrixise. I've submitted this change.
msg257967 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-01-11 15:18
I couldn't find exact references, but I think we've reached an agreement that we want to keep old APIs in the stdlib to make porting from Python 2 easier. So you might want to revert this :)
msg257968 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-01-11 15:27
Hi Berker, could you find the reference for it? It will be helpful to analyze.
IMO, the non-removal of 2.x-> 3.x APIs could be done on a case to case basis.

In this case, issue10371 made the change in (2010) of making the undocumented public methods to private internal and deprecated those old undocumented internal (but public) methods. It was a correct thing to do. Removal of the deprecated should have been done sooner. Otherwise, we are left with redundant methods (public and _private) in the same module serving no useful purpose.
msg258174 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-01-13 21:51
Sorry, I don't have much time investigate this further, but here is a few references from my bookmarks:

* http://bugs.python.org/msg253473 (from issue 20438)
* https://hg.python.org/peps/rev/570913685f49 (this doesn't mention old APIs, but I think we can safely follow it for old APIs)

Another discussions about deprecation policy: issue 24203 (old threading API), issue 25486 (inspect.getargspec()) and issue 26041 (platform.dist() and platform.linux_distribution())

If you want to keep the old API removed, it would be great to add a note in Doc/whatsnew/3.6.rst in addtion to the Misc/NEWS entry.
msg258446 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2016-01-17 02:50
Thanks for the pointers, Berker. That was very helpful and I will keep in mind when evaluating other deprecated apis. 

For the trace module, I will add this removal information in Doc/whatsnew/3.6.rst
msg258497 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-18 04:12
New changeset 715d8a739f3b by Senthil Kumaran in branch 'default':
Issue26069 - Update whatsnew/3.6.rst on traceback module's api removals.
https://hg.python.org/cpython/rev/715d8a739f3b
History
Date User Action Args
2016-01-18 04:12:25python-devsetmessages: + msg258497
2016-01-17 02:50:21orsenthilsetmessages: + msg258446
2016-01-13 21:51:20berker.peksagsetmessages: + msg258174
2016-01-11 15:27:28orsenthilsetmessages: + msg257968
2016-01-11 15:18:53berker.peksagsetnosy: + berker.peksag
messages: + msg257967
2016-01-11 15:11:47orsenthilsetstatus: open -> closed
resolution: fixed
messages: + msg257966

stage: patch review -> resolved
2016-01-11 15:09:50python-devsetnosy: + python-dev
messages: + msg257965
2016-01-10 04:16:37orsenthilsetfiles: + issue26069.patch
keywords: + patch
messages: + msg257884
2016-01-10 03:09:16abarrysetnosy: + abarry
messages: + msg257883
2016-01-10 02:33:06orsenthilsetassignee: orsenthil
messages: + msg257881
stage: needs patch -> patch review
2016-01-10 00:20:26orsenthilcreate